{% extends "admin_base.html" %}


{% block content %}
<div class="row">
  
    <div class="col-md-6">
        <h1 class="titles">Add blog post</h1>   
        <form id="add-item-form" enctype="multipart/form-data" method="post">
            
            <div class="form-group" id="form_section">
                <label>Title</label>
                <input required class="form-control" name="1:title" id="titles">
                 Image
                <input required name="picture" type="file" class="form-control" id="picture">
               
            </div>
            <br><br>
            <div class="form-group">
                <button class="btn btn-large btn-info" id="add-btn" >Add</button>
            </div>
        </form>

</div>

    <div class="col-md-6">

                      <button class="btn btn-large btn-info" id="add-paragraph" >Add paragraph</button>
                      <button class="btn btn-large btn-info" id="add-subtitle" >Add subtitle</button>

                      <button class="btn btn-large btn-info" id="add-link" >Add link</button>
                       <button class="btn btn-large btn-info" id="add-btext" >Add bold text</button>


    </div>

</div>


    {% for bp in blog_posts %}
        <div class="row">
            <div class="col-sm-3">
            </div>
            <div class="col-sm-6">
               
<div id="{{bp.key.id()}}preview"   class="bp">
                <h2>{{bp.content_part_keys[0].get().text}}</h2>
                <img style="width: 100%;" src="https://storage.googleapis.com{{bp.content_part_keys[1].get().text}}"  class="img-rounded">
                
</div>
                <button id="{{bp.key.id()}}readmore-btn" class="expand-btn btn btn-large btn-info"
                  onclick="$('#{{bp.key.id()}}').slideDown();$('#{{bp.key.id()}}preview').hide();$('#{{bp.key.id()}}readmore-btn').hide()">Read more</button>
               

               <div id="{{bp.key.id()}}"  style="display: none;" class="bp well">


                {% for key in bp.content_part_keys %}
               
                    {% if key.get().category == "TITLE" %}
                        <h2>{{key.get().text}}</h2>
                    {% endif %}

                    {% if key.get().category == "BOLD_TEXT" %}
                        <b>{{key.get().text}}</b>
                    {% endif %}


                    {% if key.get().category == "IMAGE" %}
                        <img style="width: 100%;" src="https://storage.googleapis.com{{key.get().text}}"  class="img-rounded">
                    {% endif %}

                    {% if key.get().category == "SUBTITLE" %}
                        <h3>{{key.get().text}}</h3>
                    {% endif %}

                    {% if key.get().category == "LINK" %}
                        <a href="{{key.get().text}}">{{key.get().text}}</a>
                    {% endif %}
                    
                    {% if key.get().category == "TEXT" %}
                        <p>{{key.get().text}}</p>
                    {% endif %}

                {% endfor %}

                    <h4>Comments:</h4>
                    {% if bp.reply_keys %}
                  {% for key in bp.reply_keys %}
                  <div class="well well-sm">
                        <p>
                        <strong>{{key.get().owner_name}}:</strong>
                        {{key.get().text}}
                        </p>
                    </div>

                  {% endfor %}
                  {% endif %}


                  </div>
                <br>
            <a class="btn btn-large btn-warning" href="/blogs/removals/{{bp.key.id()}}">Remove blog post</a>
             <a class="btn btn-large btn-info" href="/blogs/{{bp.key.id()}}">Edit blog </a>

      <form id="add-item-form" action="/blogs/comments/{{bp.key.id()}}" method="post">
            
            <div class="form-group" id="form_section">
                    <label>Your name</label>
                <input required class="form-control" name="owner_name" id="titles">
                 
                <label>Text</label>
                <input required class="form-control" name="comment" id="titles">
                 
               
            </div>
            <br><br>
            <div class="form-group">
                <button class="btn btn-large btn-info"  >Add comment</button>
            </div>
        </form>

            </div> 

            <div class="col-sm-3">
            </div>  
            
                
        </div>
    {% endfor %}


        {% endblock %}

        {% block scripts %}
        <script type="text/javascript">

           
            $(document).ready(function() {

             
             
                var ordering = 2

                    $( ".remove-btn" ).click(function() {
                        console.log($(this.id))
                        $("#form_section").remove( "#"+$(this.id) +":input" );    
                    });


                    $( "#add-paragraph" ).click(function() {
                        $("#form_section").append('<div id="button'+ordering+'section"><br><label>Paragraph</label><br><textarea required rows="4" cols="50"  name="'+ordering+':text"></textarea><br><button class="remove-btn btn btn-large btn-warning" id="button'+ordering+'"  type="button"  >Remove</button></div>')

                        $("#button"+ordering).on('click', function(event){
                            console.log(this.id)

                            $( "#"+this.id +"section" ).remove()   
                    //(... rest of your JS code)
                        });  

                          ordering += 1
                    });


                    $( "#add-btext" ).click(function() {
                  
                      $("#form_section").append('<div id="button'+ordering+'section"><br><label>Bold text</label><input required class="form-control"  name="'+ordering+':bold_text" ><button class="remove-btn btn btn-large btn-warning remove-btn"  id="button'+ordering+'"  type="button"    >Remove</button></div>')


                        $("#button"+ordering).on('click', function(event){
                            console.log(this.id)

                            $( "#"+this.id +"section" ).remove()   
                    //(... rest of your JS code)
                        });  
                      ordering += 1
                    });


                    $( "#add-subtitle" ).click(function() {
                  
                      $("#form_section").append('<div id="button'+ordering+'section"><br><label>Subtitle</label><input required class="form-control"  name="'+ordering+':subtitle" ><button class="remove-btn btn btn-large btn-warning remove-btn"  id="button'+ordering+'"  type="button"    >Remove</button></div>')


                        $("#button"+ordering).on('click', function(event){
                            console.log(this.id)

                            $( "#"+this.id +"section" ).remove()   
                    //(... rest of your JS code)
                        });  
                      ordering += 1
                    });

                    $( "#add-link" ).click(function() {
                  
                          $("#form_section").append('<div id="button'+ordering+'section"><br><label>Link</label><input required class="form-control" name="'+ordering+':link" id="'+ordering+':link:input" ><button class="remove-btn btn btn-large btn-warning remove-btn" id="button'+ordering+'"   type="button"  >Remove</button></div>')

                          
                            $("#button"+ordering).on('click', function(event){
                            console.log(this.id)

                            $( "#"+this.id +"section" ).remove()   
                    //(... rest of your JS code)
                        });  
                          ordering += 1

                    });
                    

            });
        </script>

        {% endblock %}


